Index: code/branches/cpp11_v3/src/orxonox/infos/Bot.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/infos/Bot.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/infos/Bot.h	(revision 11054)
@@ -45,9 +45,9 @@
             void setConfigValues();
 
-            inline bool isInitialized() const
+            virtual inline bool isInitialized() const override
                 { return true; }
-            inline float getPing() const
+            virtual inline float getPing() const override
                 { return 0; }
-            inline float getPacketLossRatio() const
+            virtual inline float getPacketLossRatio() const override
                 { return 0; }
 
Index: code/branches/cpp11_v3/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/infos/GametypeInfo.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/infos/GametypeInfo.cc	(revision 11054)
@@ -461,30 +461,30 @@
     void GametypeInfo::dispatchAnnounceMessage(const std::string& message) const
     {
-        for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
-            it->announcemessage(this, message);
+        for (GametypeMessageListener* listener : ObjectList<GametypeMessageListener>())
+            listener->announcemessage(this, message);
     }
 
     void GametypeInfo::dispatchKillMessage(const std::string& message) const
     {
-        for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
-            it->killmessage(this, message);
+        for (GametypeMessageListener* listener : ObjectList<GametypeMessageListener>())
+            listener->killmessage(this, message);
     }
 
     void GametypeInfo::dispatchDeathMessage(const std::string& message) const
     {
-        for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
-            it->deathmessage(this, message);
+        for (GametypeMessageListener* listener : ObjectList<GametypeMessageListener>())
+            listener->deathmessage(this, message);
     }
 
      void GametypeInfo::dispatchStaticMessage(const std::string& message, const ColourValue& colour) const
     {
-        for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
-            it->staticmessage(this, message, colour);
+        for (GametypeMessageListener* listener : ObjectList<GametypeMessageListener>())
+            listener->staticmessage(this, message, colour);
     }
 
      void GametypeInfo::dispatchFadingMessage(const std::string& message) const
     {
-        for (ObjectList<GametypeMessageListener>::iterator it = ObjectList<GametypeMessageListener>::begin(); it != ObjectList<GametypeMessageListener>::end(); ++it)
-            it->fadingmessage(this, message);
+        for (GametypeMessageListener* listener : ObjectList<GametypeMessageListener>())
+            listener->fadingmessage(this, message);
     }
 }
Index: code/branches/cpp11_v3/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/infos/HumanPlayer.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/infos/HumanPlayer.cc	(revision 11054)
@@ -53,6 +53,6 @@
         this->defaultController_ = Class(NewHumanController);
 
-        this->humanHud_ = 0;
-        this->gametypeHud_ = 0;
+        this->humanHud_ = nullptr;
+        this->gametypeHud_ = nullptr;
 
         this->setConfigValues();
@@ -178,5 +178,5 @@
         {
             this->humanHud_->destroy();
-            this->humanHud_ = 0;
+            this->humanHud_ = nullptr;
         }
 
@@ -194,5 +194,5 @@
         {
             this->gametypeHud_->destroy();
-            this->gametypeHud_ = 0;
+            this->gametypeHud_ = nullptr;
         }
 
Index: code/branches/cpp11_v3/src/orxonox/infos/HumanPlayer.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/infos/HumanPlayer.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/infos/HumanPlayer.h	(revision 11054)
@@ -45,11 +45,11 @@
             void setConfigValues();
 
-            bool isInitialized() const;
-            float getPing() const;
-            float getPacketLossRatio() const;
+            virtual bool isInitialized() const override;
+            virtual float getPing() const override;
+            virtual float getPacketLossRatio() const override;
 
             void setClientID(unsigned int clientID);
 
-            virtual void switchGametype(Gametype* gametype);
+            virtual void switchGametype(Gametype* gametype) override;
 
             inline void setHumanHUDTemplate(const std::string& name)
Index: code/branches/cpp11_v3/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/infos/PlayerInfo.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/infos/PlayerInfo.cc	(revision 11054)
@@ -51,9 +51,9 @@
         this->bReadyToSpawn_ = false;
         this->bSetUnreadyAfterSpawn_ = true;
-        this->controller_ = 0;
-        this->controllableEntity_ = 0;
+        this->controller_ = nullptr;
+        this->controllableEntity_ = nullptr;
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
-        this->gtinfo_ = 0;
+        this->gtinfo_ = nullptr;
         this->gtinfoID_ = OBJECTID_UNKNOWN;
         this->updateGametypeInfo(this->getGametype());
@@ -72,5 +72,5 @@
             {
                 this->controller_->destroy();
-                this->controller_ = 0;
+                this->controller_ = nullptr;
             }
 
@@ -126,5 +126,5 @@
     void PlayerInfo::updateGametypeInfo(Gametype* gametype)
     {
-        this->gtinfo_ = 0;
+        this->gtinfo_ = nullptr;
         this->gtinfoID_ = OBJECTID_UNKNOWN;
 
@@ -141,5 +141,5 @@
         {
             this->controller_->destroy();
-            this->controller_ = 0;
+            this->controller_ = nullptr;
         }
         this->controller_ = this->defaultController_.fabricate(this->getContext());
@@ -181,5 +181,5 @@
 
         RadarViewable* radarviewable = orxonox_cast<RadarViewable*>(entity);
-        if (radarviewable != NULL)
+        if (radarviewable != nullptr)
             radarviewable->setRadarName(this->getName());
     }
@@ -218,10 +218,10 @@
             return;
 
-        this->controllableEntity_->setController(0);
-        this->controllableEntity_ = 0;
+        this->controllableEntity_->setController(nullptr);
+        this->controllableEntity_ = nullptr;
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
         if (this->controller_)
-            this->controller_->setControllableEntity(0);
+            this->controller_->setControllableEntity(nullptr);
 
         if ( GameMode::isMaster() )
@@ -239,12 +239,12 @@
 
         Controller* tmp =this->controllableEntity_->getController();
-        if (tmp == NULL)
-        {
-            orxout(verbose) <<  "PlayerInfo: pauseControl, Controller is NULL " << endl;
+        if (tmp == nullptr)
+        {
+            orxout(verbose) <<  "PlayerInfo: pauseControl, Controller is nullptr " << endl;
             return;
         }
         tmp->setActive(false);
-        //this->controllableEntity_->getController()->setControllableEntity(NULL);
-        this->controllableEntity_->setController(0);
+        //this->controllableEntity_->getController()->setControllableEntity(nullptr);
+        this->controllableEntity_->setController(nullptr);
     }
 
@@ -253,5 +253,5 @@
         ControllableEntity* entity = this->controllableEntity_;
 
-        assert(this->controllableEntity_ != NULL);
+        assert(this->controllableEntity_ != nullptr);
         if( !entity || this->previousControllableEntity_.size() == 0 )
             return;
@@ -259,5 +259,5 @@
         entity->destroyHud(); // HACK-ish
 
-        this->controllableEntity_->setController(0);
+        this->controllableEntity_->setController(nullptr);
         if(this->isHumanPlayer()) // TODO: Multiplayer?
             this->controllableEntity_->destroyHud(); // HACK-ish
@@ -266,13 +266,13 @@
         do {
             this->controllableEntity_ = this->previousControllableEntity_.back();
-        } while(this->controllableEntity_ == NULL && this->previousControllableEntity_.size() > 0);
+        } while(this->controllableEntity_ == nullptr && this->previousControllableEntity_.size() > 0);
         this->controllableEntityID_ = this->controllableEntity_->getObjectID();
         this->previousControllableEntity_.pop_back();
 
-        if ( this->controllableEntity_ != NULL && this->controller_ != NULL)
+        if ( this->controllableEntity_ != nullptr && this->controller_ != nullptr)
             this->controller_->setControllableEntity(this->controllableEntity_);
 
          // HACK-ish
-        if(this->controllableEntity_ != NULL && this->isHumanPlayer())
+        if(this->controllableEntity_ != nullptr && this->isHumanPlayer())
             this->controllableEntity_->createHud();
 
Index: code/branches/cpp11_v3/src/orxonox/infos/PlayerInfo.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/infos/PlayerInfo.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/infos/PlayerInfo.h	(revision 11054)
@@ -44,5 +44,5 @@
             virtual ~PlayerInfo();
 
-            virtual void changedName();
+            virtual void changedName() override;
             virtual void switchGametype(Gametype* gametype);
 
@@ -99,5 +99,5 @@
             Controller* controller_;
             ControllableEntity* controllableEntity_;
-            std::vector< WeakPtr<ControllableEntity> > previousControllableEntity_; //!< List of the previous ControllableEntities if repeatedly startTemporary control was called. The ControllableEntity at the back is the most recent.
+            std::vector<WeakPtr<ControllableEntity>> previousControllableEntity_; //!< List of the previous ControllableEntities if repeatedly startTemporary control was called. The ControllableEntity at the back is the most recent.
             unsigned int controllableEntityID_;
 
